package net.sarcommand.fft.demo;

import javax.swing.*;
import java.awt.*;
import java.awt.event.MouseEvent;

/**
 * @author A. O. Ergueven, Torsten Heup
 */
public class GrayOutPane extends JPanel {
    public GrayOutPane() {
        super();
        setOpaque(false);
        enableEvents(MouseEvent.MOUSE_WHEEL_EVENT_MASK |
            MouseEvent.MOUSE_MOTION_EVENT_MASK | MouseEvent.MOUSE_EVENT_MASK);
    }

    @Override
    protected void paintComponent(Graphics g) {
        super.paintComponent(g);
        g.setColor(new Color(128,128,128,50));
        g.fillRect(0,0,getWidth(), getHeight());
    }
}
