package net.sarcommand.util;

/**
 * @author A. O. Ergueven, Torsten Heup<br>
 * Small utility class which will be used to monitor the algorithms progress.
 */
public interface ProgressNotifier {
    /**
     * Invoked when progress on an operation advances.
     *
     * @param activity Current activity.
     * @param percentage Completion percentage.
     */
    public void setProgress(final String activity, final float percentage);
}
